Mirror of the lttng-dev mailing list
 help / color / mirror / Atom feed
* [lttng-dev] [PATCH lttng-tools] Fix: mi test: possible race between listing UST events and testapp start
@ 2014-10-27  1:21 Jonathan Rajotte
  2014-10-27 20:48 ` Nathan Lynch
  2014-10-29 18:23 ` David Goulet
  0 siblings, 2 replies; 4+ messages in thread
From: Jonathan Rajotte @ 2014-10-27  1:21 UTC (permalink / raw)


Signed-off-by: Jonathan Rajotte <jonathan.r.julien at gmail.com>
---
 tests/regression/tools/mi/test_mi | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/tests/regression/tools/mi/test_mi b/tests/regression/tools/mi/test_mi
index fa46b51..7acec18 100755
--- a/tests/regression/tools/mi/test_mi
+++ b/tests/regression/tools/mi/test_mi
@@ -507,6 +507,11 @@ function test_list_ust_event ()
 
 	#Begin testing
 	$TESTAPP_BIN $NR_USEC_WAIT & 2>/dev/null
+	pid=$!
+
+	#Wait for TESTAPP to run
+	while ! kill -0 $pid 2> /dev/null; do :; done
+
 	list_lttng_with_opts "-u -f"
 	$XML_VALIDATE $OUTPUT_DEST
 	ok $? "Mi test: list ust event xsd validation"
-- 
1.9.1




^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2014-10-29 18:23 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2014-10-27  1:21 [lttng-dev] [PATCH lttng-tools] Fix: mi test: possible race between listing UST events and testapp start Jonathan Rajotte
2014-10-27 20:48 ` Nathan Lynch
2014-10-27 22:50   ` Jonathan Rajotte
2014-10-29 18:23 ` David Goulet

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox